<?php

/*

	Plugin Name: Export emails
	Plugin URI: http://www.joeswebtools.com/wordpress-plugins/export-emails/
	Description: Adds an export emails page that allows you to export the email list of your subscribers and the email list of all the people who left comments. Go to <a href="tools.php?page=export-emails/export-emails.php">Tools &rarr; Export Emails</a> after activating the plugin to access the email lists.
	Version: 1.0
	Author: Joe's Web Tools
	Author URI: http://www.joeswebtools.com/

	Copyright 2009 Philippe Paquet (email: philippe@paquet.net)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

*/

function export_email_page()
{
	global $wpdb;

	// Page wrapper start
	echo '<div class="wrap">';

	screen_icon();
	echo '<h2>' . __('Export Emails') . '</h2>';
	echo '<p>';
	echo __('You will find below the email list of all your subscribers and the email list of all the people who left comments.') . '<br />';
	echo __('Now you can easily copy and paste those email addresses to a more sophisticated mailing list or autoresponder system to communicate with the people interested in your website.');
	echo '</p>';

	// Create the email list from the user database
	echo '<h3>' . __('Emails from the user database') . '</h3>';
	echo '<textarea readonly="readonly" rows="10" cols="40" onfocus="javascript:this.select();">';
	$email = $wpdb->get_col("SELECT user_email FROM $wpdb->users GROUP BY user_email");
	foreach($email as $email_out)
	{
		echo $email_out . "\r\n";
	}
	echo '</textarea><br />';

	// Space between the 2 lists
	echo '<br />';

	// Create the email list from the comment database
	echo '<h3>' . __('Emails from the comment database') . '</h3>';
	echo '<textarea readonly="readonly" rows="10" cols="40" onfocus="javascript:this.select();">';
	$email = $wpdb->get_col("SELECT comment_author_email FROM $wpdb->comments GROUP BY comment_author_email");
	foreach($email as $email_out)
	{
		echo $email_out . "\r\n";
	}
	echo '</textarea><br />';

	// Like this plugin?
	echo '<h2>' . __('Like this plugin?') . '</h2>';
	echo __('Developing, maintaining and supporting this plugin requires time. Why not do any of the following:') . '<br />';
	echo '&nbsp;&bull;&nbsp;&nbsp;' . __('Check out our <a href="http://www.joeswebtools.com/wordpress-plugins/">other plugins</a>.') . '<br />';
	echo '&nbsp;&bull;&nbsp;&nbsp;' . __('Link to the <a href="http://www.joeswebtools.com/wordpress-plugins/export-emails/">plugin homepage</a>, so other folks can find out about it.') . '<br />';
	echo '&nbsp;&bull;&nbsp;&nbsp;' . __('Give this plugin a good rating on <a href="http://wordpress.org/extend/plugins/export-emails/">WordPress.org</a>.') . '<br />';
	echo '&nbsp;&bull;&nbsp;&nbsp;' . __('Support further development with a <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=5162912">donation</a>.') . '<br />';

	// Need support?
	echo '<h2>' . __('Need support?') . '</h2>';
	echo __('If you have any problems or good ideas, please talk about them on the <a href="http://www.joeswebtools.com/wordpress-plugins/export-emails/">plugin homepage</a>.') . '<br />';

	// Credits
	echo '<h2>' . __('Credits') . '</h2>';
	echo __('<a href="http://www.joeswebtools.com/wordpress-plugins/export-emails/">Export Emails</a> is developped by Philippe Paquet for <a href="http://www.joeswebtools.com/">Joe\'s Web Tools</a>. This plugin is released under the GNU GPL version 2.') . '<br />';

	// Page wrapper end
	echo '</div>';
}

function add_export_email_menu()
{
	// Add the menu page	
	add_submenu_page('tools.php', __('Export Emails'), __('Export Emails'), 10, __FILE__, 'export_email_page');
}

add_action('admin_menu', 'add_export_email_menu');

?>
